Compiling ClamAV From Source
02/19/2014 11:12 AM - Daniel Curtis

Status: Closed Start date: 02/19/2014
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Mail Server Estimated time: 1.00 hour
Target version: Spent time: 1.00 hour
Description

While checking through the logs of my mail server | found the following error:

Tue Feb 18 15:45:30 2014 -> Received signal: wake up

Tue Feb 18 15:45:30 2014 -> ClamAV update process started at Tue Feb 18 15:45:30 2014
Tue Feb 18 15:45:30 2014 -> WARNING: Your ClamAYV installation is OUTDATED!

Tue Feb 18 15:45:30 2014 -> WARNING: Local version: 0.97.8 Recommended version: 0.98.1
Tue Feb 18 15:45:30 2014 -> DON'T PANIC! Read http://www.clamav.net/support/fag

| made sure the system was up to date, however Debian Wheezy does not currently have the latest version in its repositories. So |
decided to compile ClamAV from source.

Start by removing any previous ClamAV installation:

apt—-get remove —--purge clamav

Then resolve the building dependencies:

apt—-get build-dep clamav

cd /usr/local/src

Download and extract the latest ClamAV:

wget http://downloads.sourceforge.net/clamav/clamav-0.98.1.tar.gz
tar xzf clamav-0.98.1l.tar.gz

cd clamav-0.98.1

Configure, build and install ClamAV:

./configure —--enable-experimental

make

make install

Update the antivirus database:

cp /etc/clamav/freshclam.conf /usr/local/etc/
freshclam

Start the ClamAV service:

service clamav-daemon start

service clamav-freshclam start

Now ClamAYV is up to date.
History

#1 - 02/24/2014 03:57 PM - Daniel Curtis

- Status changed from Resolved to Closed

#2 - 02/16/2015 12:01 PM - Daniel Curtis
- Project changed from 31 to GNU/Linux Administration

- Category set to Mail Server

04/09/2024

22


http://www.tcpdf.org

